package com.wechat.pay;

/**
 * 微信后台下单后，返回给前端的封装对象
 * @author Administrator
 */
public class MiniProgramPay {
	private String timeStamp;//当前时间
	private String nonceStr;//随机字符串
	/*
	 * 原名为package，但在java中为关键字，故改名为packageStr。与小程序对接时应注意名称
	 */
	private String packageStr;//统一下单接口返回的 prepay_id 参数值
	private String signType;//签名算法
	private String paySign;//签名
	
	public String getTimeStamp() {
		return timeStamp;
	}
	public void setTimeStamp(String timeStamp) {
		this.timeStamp = timeStamp;
	}
	public String getNonceStr() {
		return nonceStr;
	}
	public void setNonceStr(String nonceStr) {
		this.nonceStr = nonceStr;
	}
	public String getPackageStr() {
		return packageStr;
	}
	public void setPackageStr(String packageStr) {
		this.packageStr = packageStr;
	}
	public String getSignType() {
		return signType;
	}
	public void setSignType(String signType) {
		this.signType = signType;
	}
	public String getPaySign() {
		return paySign;
	}
	public void setPaySign(String paySign) {
		this.paySign = paySign;
	}
	
}
